Page MenuHomePhabricator

[Task] Transclude mediainfo entity in file-page
Closed, ResolvedPublic

Description

Possible wikitext snippet to transclude a page from the MediaInfo namespace: {{:MediaInfo:M{{PAGEID}}}}. By default this does no transclusion but creates a link, but even this is already useful. We could put this snippet in the Information template and/or make actual transclusion possible.

For the first prototype this can also be a simple tab in the top tab bar, if it turns out actual transclusion is too much of a hassle.

Inverse of T134260: [Task] Link from MediaInfo entity to file description page.

Related Objects

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 3 2016, 1:51 PM
thiemowmde updated the task description. (Show Details)
thiemowmde awarded a token.
Lydia_Pintscher triaged this task as High priority.May 19 2016, 12:51 PM
daniel added a subscriber: daniel.EditedJun 8 2016, 10:41 AM
NOTE: Transclusion of fully rendered HTML pages, including their auxiliary information like resource loader modules etc, is not easily done. In core, there is a hack for doing this for Special pages, but the transclusion mechanism for regular pages is only defined for wikitext on both sides. For actual template transclusion to work for entity pages, a major refactoring would be needed in core.

Related code experiment: https://phabricator.wikimedia.org/rMWab9d045506d9f8fd2b015e9043d4359d29550cd7

Jonas assigned this task to daniel.Jul 21 2016, 3:31 PM
Jonas moved this task from Backlog to Doing on the Wikidata-Sprint-2016-07-19 board.

Change 300292 had a related patch set uploaded (by Jonas Kress (WMDE)):
Inject link to MediaInfo on file description pages

https://gerrit.wikimedia.org/r/300292

Jonas closed this task as Resolved.Jul 22 2016, 11:08 AM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-07-19 board.

Change 300292 merged by jenkins-bot:
Inject link to MediaInfo on file description pages

https://gerrit.wikimedia.org/r/300292